Subject: bug#593 closed by Mark Hindley <[email-masked]> (Re: bug#593: fwupd: Missing sysvinit script)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Mon, 19 Jul 2021 12:03:04 +0000

This is an automatic notification regarding your bug report
which was filed against the fwupd package:

#593: fwupd: Missing sysvinit script

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
593: https://bugs.devuan.org/cgi/bugreport.cgi?bug=593
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#593: fwupd: Missing sysvinit script
From: Mark Hindley <[email-masked]>
To: Dennis Camera <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Jul 2021 12:54:38 +0100

On Mon, Jul 19, 2021 at 01:15:57PM +0200, Dennis Camera wrote:
> Now that I’m thinking more about this, one can argue if the package should install e cron job by default.
> Maybe some users wouldn’t want to have fwupd auto-update (like apt-get also
> doesn’t auto-update by default).

AFAICS, the systemd timer to update motd requires manual activation by the
sysadmin, so Debian maintainers agree with you on this! See data/motd/README.md
in the source.

> Maybe just adding a section on how to create such a cron job to README.Debian or
> adding a debconf question would be the better choice.

Devuan doesn't currently fork this package, so maybe the best solution is to
submit a cron fragment to Debian for inclusion in contrib or similar.

> > I ran '/usr/bin/fwupdmgr refresh' from the command line without issue or
> > error. After running this, the output of 'busctl' showed that the
> > org.freedesktop.fwup service had been started correctly.
> > 
> > Can you verify that?
> 
> Yes, when I execute fwupdmgr, the fwupd daemon is started automatically.

Good!

> As far as I’m concerned this bug can be closed.

Thanks.

Closing.

Mark

Subject: fwupd: Missing sysvinit script
From: Dennis Camera <[email-masked]>
To: [email-masked]
Date: Mon, 19 Jul 2021 10:53:28 +0200

Package: fwupd
Version: 1.5.7-4

Dear maintainer,

The fwupd package on Devuan only ships systemd services and timers.
To be functional on Devuan it should ship sysvinit scripts and a refresh cron job, instead.

I verified this "bug" to occur on beowulf and chimaera.